From 434d036fe4b8f1b7571eb912957590a483944b26 Mon Sep 17 00:00:00 2001
From: Junio C Hamano <junkio@cox.net>
Date: Sat, 17 Sep 2005 13:51:03 -0700
Subject: [PATCH] Do not fail after calling bisect_auto_next()

As a convenience measure, 'bisect bad' or 'bisect good' automatically
does 'bisect next' when it knows it can, but the result of that test
to see if it can was leaking through as the exit code from the whole
thing, which was bad.  Noticed by Anton Blanchard.

Signed-off-by: Junio C Hamano <junkio@cox.net>
---
 git-bisect.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/git-bisect.sh b/git-bisect.sh
index a5be3a7293..8dc77c991c 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -110,7 +110,7 @@ bisect_next_check() {
 }
 
 bisect_auto_next() {
-	bisect_next_check && bisect_next
+	bisect_next_check && bisect_next || :
 }
 
 bisect_next() {
-- 
2.40.0